import React, { useEffect, useState } from "react";
import Wrapper from "../Wrapper/Wrapper";

const UseEffectLearning = () => {
  const [characters, setCharacters] = useState("");
  const [isValid, setIsValid] = useState(false);

  const inputChangeHandler = (e) => {
    setCharacters(e.target.value);
  };

  // input is started in a state using <code>useState(...)</code>
  // the validation takes place every time the input changes in the character filed input
  useEffect(() => {
    let state = characters.length >= 5 ? true : false;
    setIsValid(state);
  }, [characters]);

  return (
    <Wrapper>
      <label htmlFor="character">
        Enter something (more than 4 characters)
      </label>
      <input
        id="character"
        type="text"
        onChange={inputChangeHandler}
        placeholder="Enter something..."
      ></input>
      <p>
        <span style={isValid ? { color: "black" } : { color: "red" }}>
          {isValid ? "Valid input" : "Invalid input"}
        </span>
      </p>
    </Wrapper>
  );
};

export default UseEffectLearning;
